# https://wiki.shibboleth.net/confluence/display/SHIB2/NativeSPApacheConfig

# RPM installations on platforms with a conf.d directory will
# result in this file being copied into that directory for you
# and preserved across upgrades.

# For non-RPM installs, you should copy the relevant contents of
# this file to a configuration location you control.

#
# Load the Shibboleth module.
#
LoadModule mod_shib /usr/lib64/shibboleth/mod_shib_24.so

{{ shibd_httpd_conf_prepend | default('') }}
#
# Turn this on to support "require valid-user" rules from other
# mod_authn_* modules, and use "require shib-session" for anonymous
# session-based authorization in mod_shib.
#
ShibCompatValidUser Off

#
# Ensures handler will be accessible.
#
{% if shibd_httpd_conf_shib_sso is not defined %}
<Location /Shibboleth.sso>
    AuthType Any
    Require all granted
</Location>
{% endif %}
{{ shibd_httpd_conf_shib_sso | default('')}}
#
# Used for example style sheet in error templates.

<IfModule mod_alias.c>
    {% if shibd_httpd_conf_alias is not defined %}
    <Location /shibboleth-sp>
        AuthType None
        Require all granted
    </Location>
    Alias /shibboleth-sp/main.css /usr/share/shibboleth/main.css
    {% endif %}
    {{ shibd_httpd_conf_alias }}
</IfModule>

#
# Configure the module for content.
#
# You MUST enable AuthType shibboleth for the module to process
# any requests, and there MUST be a require command as well. To
# enable Shibboleth but not specify any session/access requirements
# use "require shibboleth".
#
<Location /secure>
    {% if shibd_httpd_conf_secure is not defined %}
    AuthType shibboleth
    ShibRequestSetting requireSession 1
    require shib-session
    {% endif %}
    {{ shibd_httpd_conf_secure | default('') }}
</Location>

{{ shibd_httpd_conf_extras | default('') }}
